org.codehaus.plexus.components.interactivity

## Class DefaultOutputHandler

- java.lang.Object
- - org.codehaus.plexus.components.interactivity.DefaultOutputHandler

All Implemented Interfaces:
  OutputHandler, org.codehaus.plexus.personality.plexus.lifecycle.phase.Disposable, org.codehaus.plexus.personality.plexus.lifecycle.phase.Initializable

    public class DefaultOutputHandler
    extends java.lang.Object
    implements org.codehaus.plexus.personality.plexus.lifecycle.phase.Initializable, org.codehaus.plexus.personality.plexus.lifecycle.phase.Disposable, OutputHandler

Default output handler, that uses the console.

Version:
  $Id: DefaultOutputHandler.java 2648 2005-10-10 16:41:24Z brett $
Author:
  Brett Porter

### Field Summary

### Fields inherited from interface org.codehaus.plexus.components.interactivity.OutputHandler

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultOutputHandler()`

### Method Summary

Methods
`void` `dispose()`
`void` `initialize()`
`void` `write(java.lang.String line)` Write a single line of input, excluding the newline at the end.
`void` `writeLine(java.lang.String line)` Write a single line of input, including the newline at the end.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultOutputHandler

    public DefaultOutputHandler()

### Method Detail

#### initialize

    public void initialize()
                    throws org.codehaus.plexus.personality.plexus.lifecycle.phase.InitializationException

Specified by:
  `initialize` in interface `org.codehaus.plexus.personality.plexus.lifecycle.phase.Initializable`
Throws:
  `org.codehaus.plexus.personality.plexus.lifecycle.phase.InitializationException`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `org.codehaus.plexus.personality.plexus.lifecycle.phase.Disposable`

#### write

    public void write(java.lang.String line)
               throws java.io.IOException

Description copied from interface: `OutputHandler`
Write a single line of input, excluding the newline at the end.

Specified by:
  `write` in interface `OutputHandler`
Parameters:
  `line` - the line
Throws:
  `java.io.IOException`

#### writeLine

    public void writeLine(java.lang.String line)
                   throws java.io.IOException

Description copied from interface: `OutputHandler`
Write a single line of input, including the newline at the end.

Specified by:
  `writeLine` in interface `OutputHandler`
Parameters:
  `line` - the line
Throws:
  `java.io.IOException`